=== debian/changelog ===
ros-kinetic-mongodb-log (0.4.5-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Fri, 28 Jun 2019 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.3-1xenial) xenial; urgency=high

  * Merge pull request #238 <https://github.com/strands-project/mongodb_store/issues/238> from charlielito/patch-1
    Fix typo in log message
  * Fix typo in log message
    It is subscribe rather than subsribe
  * Contributors: Carlos Andrés Álvarez Restrepo, Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Thu, 04 Apr 2019 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.2-1xenial) xenial; urgency=high

  * instead of lsb-release read /etc/os-version from CMake to find OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Mon, 04 Jun 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.1-1xenial) xenial; urgency=high

  * check if env. var. exists if not decide based on OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Tue, 29 May 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.4.0-1xenial) xenial; urgency=high

  * if compiler supports it use C++11
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Wed, 23 May 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.8-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 02 May 2018 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.7-1xenial) xenial; urgency=high

  * Merge pull request #210 <https://github.com/strands-project/mongodb_store/issues/210> from hawesie/kinetic-devel
    Updated to build on OS X with the mongo client legacy version.
  * Used the openssl libs from find_package.
  * Updated to build on OS X with the mongo client legacy version.
    This makes a couple of changes. For libmongocxx_ros the paths for openssl are added to the scons command and all ".so" and set to ".so" or ".dylib" depending on platform. For mongodb_log this removes the explicit linking of mongoclient which isn't needed since catkin_libraries includes the lib created by libmongocxx_ros.
  * Contributors: Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Thu, 14 Dec 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.6-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 14 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.5-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sun, 03 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.4-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sun, 03 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.3-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sat, 02 Sep 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.2-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 31 Aug 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.1-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 24 Aug 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.3.0-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 24 Aug 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.2.2-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.2.1-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.2.0-1xenial) xenial; urgency=high

  * dependencies fixing
  * Contributors: Marc Hanheide, Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.30-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Fri, 23 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.29-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Mon, 19 Jun 2017 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.28-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 09 Nov 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.27-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 01 Nov 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.26-1xenial) xenial; urgency=high

  * indigo-0.1.25
  * Updating changelogs
  * indigo-0.1.24
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Fri, 14 Oct 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.25-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 28 Apr 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.24-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 19 Apr 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.23-1xenial) xenial; urgency=high

  * Fixed missing namespace for mongodb_log
  * indigo-0.1.22
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Marc Hanheide <marc@hanheide.net>  Tue, 19 Apr 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.22-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 23 Feb 2016 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.20-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 11 Nov 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.19-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Oct 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.18-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Oct 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.17-1xenial) xenial; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Tue, 01 Sep 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.16-1xenial) xenial; urgency=high

  * add option to treat topic name arguments as regular expression
  * add option to specify collection name
  * Contributors: Furushchev

 -- Marc Hanheide <marc@hanheide.net>  Tue, 04 Aug 2015 00:00:00 -0000

ros-kinetic-mongodb-log (0.1.15-1xenial) xenial; urgency=high




